var mic;
var amp;
var scale = 1.0;

function setup(){
  createCanvas(960, 500);
  textSize(24);
  frameRate(30);

  // audio-input erzeugen und starten
  mic = new p5.AudioIn();
  mic.start();

  // Amplitude erzeugen und mit Micro verbinden
  amp = new p5.Amplitude();
  amp.setInput(mic);
}

function draw(){
  background(0);

  var lautstaerke = amp.getLevel();

  scale = map(lautstaerke, 0, 1.0, 30, width);

  // wenn die Lautstaerke einen best. Level erreicht, wird der Kreis rot
  if (lautstaerke < 0.4){
    fill(0,255,255);
  } else {
    fill(255,0,0);
  }

  ellipse(width/2, height/2, scale, scale);

  text(lautstaerke,5,25);
}
